Skip to main content
PUT
Update registry

Authorizations

k8s-gate-session
string
cookie
required

The session cookie issued by the OIDC sign-in flow. This is what a browser uses.

Path Parameters

id
string
required

The object's identifier.

Body

application/json
caCert
string
createdAt
string<date-time>
defaultChartRepo
boolean
defaultImageRepo
boolean
id
integer<int64>
insecureSkipVerify
boolean
name
string
password
string
project
string
servesChartsFor
string[] | null
servesImagesFor
string[] | null
site
string
trustApplyErrors
string[] | null
type
string
updatedAt
string<date-time>
updatedBy
string
url
string
username
string

Response

object | null

Success.

caCert
string
required
createdAt
string<date-time>
required
defaultChartRepo
boolean
required
defaultImageRepo
boolean
required
id
integer<int64>
required
insecureSkipVerify
boolean
required
name
string
required
password
string
required
project
string
required
site
string
required
type
string
required
updatedAt
string<date-time>
required
updatedBy
string
required
url
string
required
username
string
required
servesChartsFor
string[]
servesImagesFor
string[]
trustApplyErrors
string[]